org.apache.tomcat.util.bcel.classfile

## Class ElementValue

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.ElementValue

- Direct Known Subclasses:
    AnnotationElementValue, ArrayElementValue, ClassElementValue, EnumElementValue, SimpleElementValue

      public abstract class ElementValue
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ANNOTATION`
    `static byte` | `ARRAY`
    `static byte` | `CLASS`
    `static byte` | `ENUM_CONSTANT`
    `static byte` | `PRIMITIVE_BOOLEAN`
    `static byte` | `PRIMITIVE_BYTE`
    `static byte` | `PRIMITIVE_CHAR`
    `static byte` | `PRIMITIVE_DOUBLE`
    `static byte` | `PRIMITIVE_FLOAT`
    `static byte` | `PRIMITIVE_INT`
    `static byte` | `PRIMITIVE_LONG`
    `static byte` | `PRIMITIVE_SHORT`
    `static byte` | `STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementValue` | `readElementValue(DataInput input, ConstantPool cpool)`
    `abstract String` | `stringifyValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final byte STRING

      See Also:
        Constant Field Values

    - #### ENUM_CONSTANT

          public static final byte ENUM_CONSTANT

      See Also:
        Constant Field Values

    - #### CLASS

          public static final byte CLASS

      See Also:
        Constant Field Values

    - #### ANNOTATION

          public static final byte ANNOTATION

      See Also:
        Constant Field Values

    - #### ARRAY

          public static final byte ARRAY

      See Also:
        Constant Field Values

    - #### PRIMITIVE_INT

          public static final byte PRIMITIVE_INT

      See Also:
        Constant Field Values

    - #### PRIMITIVE_BYTE

          public static final byte PRIMITIVE_BYTE

      See Also:
        Constant Field Values

    - #### PRIMITIVE_CHAR

          public static final byte PRIMITIVE_CHAR

      See Also:
        Constant Field Values

    - #### PRIMITIVE_DOUBLE

          public static final byte PRIMITIVE_DOUBLE

      See Also:
        Constant Field Values

    - #### PRIMITIVE_FLOAT

          public static final byte PRIMITIVE_FLOAT

      See Also:
        Constant Field Values

    - #### PRIMITIVE_LONG

          public static final byte PRIMITIVE_LONG

      See Also:
        Constant Field Values

    - #### PRIMITIVE_SHORT

          public static final byte PRIMITIVE_SHORT

      See Also:
        Constant Field Values

    - #### PRIMITIVE_BOOLEAN

          public static final byte PRIMITIVE_BOOLEAN

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### stringifyValue

          public abstract String stringifyValue()

    - #### readElementValue

          public static ElementValue readElementValue(DataInput input,
                                      ConstantPool cpool)
                                               throws IOException

      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.